tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule.SubscriptionAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback
  - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule.SubscriptionAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    PubSubModule

      public abstract static class PubSubModule.SubscriptionAsyncCallback
      extends PubSubAsyncCallback

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `onSubscribe(IQ response, PubSubModule.SubscriptionElement subscriptionElement)`
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback

      `onEror, onError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onTimeout`

- - ### Constructor Detail

    - #### SubscriptionAsyncCallback

          public SubscriptionAsyncCallback()

  - ### Method Detail

    - #### onSubscribe

          protected abstract void onSubscribe(IQ response,
                                              PubSubModule.SubscriptionElement subscriptionElement)

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `JaxmppException`

Copyright © 2006–2017 Tigase. All rights reserved.